aboutsummaryrefslogtreecommitdiffstats
path: root/package/network/config/firewall3/files/firewall.hotplug
diff options
context:
space:
mode:
Diffstat (limited to 'package/network/config/firewall3/files/firewall.hotplug')
-rw-r--r--package/network/config/firewall3/files/firewall.hotplug10
1 files changed, 10 insertions, 0 deletions
diff --git a/package/network/config/firewall3/files/firewall.hotplug b/package/network/config/firewall3/files/firewall.hotplug
new file mode 100644
index 0000000..34f3afe
--- /dev/null
+++ b/package/network/config/firewall3/files/firewall.hotplug
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+[ "$ACTION" = ifup ] || exit 0
+
+/etc/init.d/firewall enabled || exit 0
+
+fw3 -q network "$INTERFACE" >/dev/null || exit 0
+
+logger -t firewall "Reloading firewall due to ifup of $INTERFACE ($DEVICE)"
+fw3 -q reload